module TrackTest exposing (specs)
import Fixtures

import Track exposing (Track, Point)
import Test exposing (..)
import Expect exposing (Expectation)

specs: Test
specs =
    describe "XML Parsing"
        [ test "it parses points" <|
              \_ ->
              case Track.parse Fixtures.threepoints of
                  (Ok trk) -> Expect.equalLists Fixtures.threepoints_expected trk
                  _ -> Expect.fail "not ok"
        , test "multiple trksegs are coalesced" <|
              \_ ->
              let
                  xml = String.replace
                        "<!-- insert-segment -->"
                        "</trkseg><trkseg>"
                        Fixtures.threepoints
              in
                  case Track.parse xml of
                      (Ok trk) -> Expect.equalLists Fixtures.threepoints_expected trk
                      _ -> Expect.fail "not ok"

        ]
